{
  "type": "minecraft:crafting_shaped",
  "key": {
    "X": {
      "item": "minecraft:oak_log"
    }
  },
  "pattern": [
    "X",
    "X"
  ],
  "result": {
    "item": "valhelsia_structures:oak_post",
    "count": 2
  }
}